<?php

/**
 * @package   T3 Blank
 * @copyright Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die;

$menualign = $this->params->get('menualign', 'zenleft');
$app = JFactory::getApplication();
$menu = $app->getMenu();
$lang = JFactory::getLanguage();
$hide_mainbody = (!$this->params->get("ZEN_MAINBODY_DISABLED",true)==false && ($menu->getActive() == $menu->getDefault( $lang->getTag() )));
$thisClass = get_class($this) ;

if($thisClass == "T3TemplateLayout") {
	$hide_mainbody = 0;
}

$mobiletype = "";
if($this->getParam('navigation_collapse_offcanvas')) {
	$mobiletype = "offcanvas";
}
else {
	$mobiletype = "togglemenu";
} ?>

<!-- NAVBAR HEADER -->
<div class="navbar-default">
<div class="navbar-header ">

		<?php if ($this->getParam('navigation_collapse_enable', 1) && $this->getParam('responsive', 1)) : ?>

				<?php $this->addScript(T3_URL.'/js/nav-collapse.js'); ?>

				<button type="button" class="navbar-toggle <?php if($this->getParam('toggle-trigger-text') !=="") {?> notext<?php } ?>" data-toggle="collapse" data-target=".t3-navbar-collapse">

					<i class="fa fa-bars"></i>

					<span id="togglemenutext">

						<?php echo $this->getParam('toggle-trigger-text'); ?>

					</span>

				</button>

			<?php endif ?>

			<?php if ($this->getParam('navigation_collapse_enable')) : ?>
				<nav class="t3-navbar-collapse navbar-collapse collapse toggle-menu"></nav>
			<?php endif ?>

				<nav class="t3-navbar navbar-collapse collapse <?php echo $menualign; ?>">
					<!-- NAVBAR MAIN -->
						<?php if($this->params->get('onepagemenu')) { ?>
			

							<ul class="nav navbar-nav">

								<?php if ($this->params->get('homelink') !="") : ?>

								<li>

									<a href="#home-link"><?php echo $this->params->get('homelink'); ?></a>

								</li>

								<?php endif; ?>

								<?php if ($this->checkSpotlight('tabs', 'tabs') && ($this->params->get('tabslink') !="")) : ?>

								<li>

									<a href="#tab-link"><?php echo $this->params->get('tabslink'); ?></a>

								</li>

								<?php endif; ?>

								
								<?php if ($this->checkSpotlight('grid1', 'grid1, grid2, grid3, grid4') && ($this->params->get('grid1link') !="")) : ?>

								<li>

									<a href="#grid1-link"><?php echo $this->params->get('grid1link'); ?></a>

								</li>

								<?php endif; ?>

								<?php if ($this->checkSpotlight('grid2', 'grid5, grid6, grid7, grid8') && ($this->params->get('grid2link') !="")) : ?>

								<li>

									<a href="#grid2-link"><?php echo $this->params->get('grid2link'); ?></a>

								</li>

								<?php endif; ?>

								<?php if ($this->checkSpotlight('grid3', 'grid9, grid10, grid11, grid12') && ($this->params->get('grid3link') !="")) : ?>

								<li>

									<a href="#grid3-link"><?php echo $this->params->get('grid3link'); ?></a>

								</li>

								<?php endif; ?>

								<?php if (!$hide_mainbody) : ?>

								<?php if ($this->params->get('mainlink') !=="") : ?>

								<li>

									<a href="#main-link"><?php echo $this->params->get('mainlink'); ?></a>

								</li>

								<?php endif; ?>

								<?php endif; ?>

								<?php if ($this->checkSpotlight('grid4', 'grid13, grid14, grid15, grid16') && ($this->params->get('grid4link') !="")) : ?>

								<li>

									<a href="#grid4-link"><?php echo $this->params->get('grid4link'); ?></a>

								</li>

								<?php endif; ?>

								<?php if ($this->checkSpotlight('grid5', 'grid17, grid18, grid19, grid20') && ($this->params->get('grid5link') !="")) : ?>

								<li>

									<a href="#grid5-link"><?php echo $this->params->get('grid5link'); ?></a>

								</li>

								<?php endif; ?>

								<?php if ($this->checkSpotlight('grid6', 'grid21, grid22, grid23, grid24') && ($this->params->get('grid6link') !="")) : ?>

								<li>

									<a href="#grid6-link"><?php echo $this->params->get('grid6link'); ?></a>

								</li>

								<?php endif; ?>

								<?php if ($this->checkSpotlight('bottom', 'bottom1, bottom2, bottom3, bottom4, bottom5, bottom6') && ($this->params->get('bottomlink') !="")) : ?>

								<li>

									<a href="#bottom-link"><?php echo $this->params->get('bottomlink'); ?></a>

								</li>

								<?php endif; ?>

							</ul>

				

							<?php } else { ?>

							

							

			<jdoc:include type="<?php echo $this->getParam('navigation_type', 'megamenu') ?>" name="<?php echo $this->getParam('mm_type', 'mainmenu') ?>" />

				<?php } ?>

		</nav>

		<!-- //NAVBAR MAIN -->

				
</div>
</div>